#! /bin/sh /usr/share/dpatch/dpatch-run
## 09_chcontext-secure.dpatch by Micah Anderson <Micah Anderson <micah@debian.org>>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad trunk~/scripts/chcontext trunk/scripts/chcontext
--- trunk~/scripts/chcontext	2006-03-20 08:16:45.000000000 -0500
+++ trunk/scripts/chcontext	2006-04-02 13:14:08.000000000 -0400
@@ -153,9 +153,9 @@
 chain_cmd=( "${chain_cmd[@]}"
 		--
 		$_VATTRIBUTE --set
+		${OPT_SECURE:+--secure}
 		${OPT_CAPS:+--bcap "${OPT_CAPS[*]}"}
-		${OPT_FLAGS:+--flag "${OPT_FLAGS[*]}"}
-		${OPT_SECURE:+--secure} )
+		${OPT_FLAGS:+--flag "${OPT_FLAGS[*]}"} )
 		
 migrate_cmd=( $_VCONTEXT
 	      ${OPT_SILENT:+--silent}
